<%-include('./layouts/header.ejs')%>
    <div>
        <div class="row">
            <div class="col-6 content">
                <div class="content-title text-center">
                    <h2>The easiest way to buy and sell to stocks.</h2>
                    <div class="content-discr">
                        <h6>Stcoks analysis and screening tool for investers in india.</h6>
                    </div>
                </div>
                <div class="search-box card">
                    <div class="input-group flex-nowrap">
                        <span class="input-group-text" id="addon-wrapping" style="border-right: none;">
                            <i class="fa-solid fa-magnifying-glass"></i>
                        </span>
                        <input type="search" class="form-control" id="search_id" aria-label="search" value="" aria-describedby="addon-wrapping" style="border-left: none;">
                    </div>
                </div>
                <div class="dropdown" id="dropdown">
                    <div class="card">
                    </div>
                </div>
            </div>
        </div>
    </div>
    <%-include('./layouts/script.ejs')%>
    <script>
        $(document).ready(function(){
            $('#search_id').on('keyup', function() {
                let data = {
                    search: $(this).val()
                }
                $.ajax({
                     url: '/dropdown',
                     data: data,
                     type:'POST',
                     dataType: 'json',
                     success: function(data) {
                         var {
                             status,
                             message,
                             errorr
                            } = data
                            errors = typeof errors != 'undefined' ? errors : []
                            message = typeof message != 'undefined' ? message : null
                            if (status == true) {
                                $('#dropdown').append()
                                let names = data.company_names
                                names.map(name => {
                                    $('#dropdown').append(
                                        `
                                        <div class="card">
                                            <h5 data-value="${name._id}">${name.Name}</h5>
                                        </div>
                                        `
                                    )
                                })
                            }
                        }
                    })
                });
            });
    </script>
<%-include('./layouts/footer.ejs')%>